Bug 41015 - Options aren't sorted
Options aren't sorted
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 4.1
Other Linux
: P5 normal with 2 votes (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-07 07:57 CEST by Florian Best
Modified: 2017-07-05 13:06 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.011
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
Screenshot (42.68 KB, image/png)
2016-04-07 07:57 CEST, Florian Best
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-04-07 07:57:07 CEST
Created attachment 7584 [details]
Screenshot

See screenshot.
Comment 1 Florian Best univentionstaff 2016-05-23 15:31:08 CEST
diff --git a/management/univention-management-console-module-udm/umc/python/udm/udm_ldap.py b/management/univention-management-console-module-udm/umc/python/udm/udm_ldap.py
index c92953f..97ddf83 100644
--- a/management/univention-management-console-module-udm/umc/python/udm/udm_ldap.py
+++ b/management/univention-management-console-module-udm/umc/python/udm/udm_ldap.py
@@ -774,2 +774,3 @@ def get_options(self, object_dn=None, udm_object=None):
 
+                       options.sort(key=lambda x: x['label'])
                return options
Comment 2 Johannes Keiser univentionstaff 2017-06-29 15:08:13 CEST
(In reply to Florian Best from comment #1)
> diff --git
> a/management/univention-management-console-module-udm/umc/python/udm/
> udm_ldap.py
> b/management/univention-management-console-module-udm/umc/python/udm/
> udm_ldap.py
> index c92953f..97ddf83 100644
> ---
> a/management/univention-management-console-module-udm/umc/python/udm/
> udm_ldap.py
> +++
> b/management/univention-management-console-module-udm/umc/python/udm/
> udm_ldap.py
> @@ -774,2 +774,3 @@ def get_options(self, object_dn=None, udm_object=None):
>  
> +                       options.sort(key=lambda x: x['label'])
>                 return options

Applied Patch:

r 80621
univention-management-console-module-udm (7.0.10-13) 
* Bug #41015: Applied patch from Florian Best - The options of an UDM object
are now sorted.

YAML: r 80622
Comment 3 Florian Best univentionstaff 2017-06-29 15:13:35 CEST
OK: options are sorted and look good
OK: YAML
Comment 4 Janek Walkenhorst univentionstaff 2017-07-05 13:06:25 CEST
<http://errata.software-univention.de/ucs/4.2/83.html>